Subject: TE request header deployment

From: "Adrien de Croy" <[email-masked]>
Date: Fri, 01 Jul 2016 02:05:32 +0000

Hi all

I've been trying unsuccessfully to find a browser that sets TE header in 
requests.

Tested IE, Chrome, Firefox and Opera current versions.

I note that the wikipedia page for it comments that due to some 
unreliable servers (e.g. breaking on TE headers) that browsers now 
tended to not use it.

Is it a completely defunct header then?  We were thinking it could be a 
good option for reverse proxy bandwidth reduction (apart from HTTP/2 of 
course).  Pointless if nobody is using it, and even worse if the proxy 
would have to retry if the server broke on it (e.g. if a proxy inserted 
it for upstream).

Regards

Adrien de Croy